package ru.ulstu.core.model;

import java.util.List;

public interface TreeEntity<T> {

    Integer getId();

    List<T> getChildren();

    void setChildren(List<T> children);

    T getParent();

    void setParent(T parent);
}
